
% function makeMovieHw1 is to create a scaling and rotating small house in two-dimension
% cis 581, assignment 1: make a small and simple movie
% Date: Oct. 4, 2002
% Student name: Qifang Xu


function [aviFileName] = makeMovieHw1
x=[4, 7, 7, 5.5, 4, 4];
y=[5, 5, 8, 10, 8, 5];
sita = pi / 20;          % rotation angle
rotaSin = sin(sita);
rotaCos = cos(sita);

framesPerSec = 10; % 'frames per second' parameter for the .avi file.

aviFileName = 'MovieHw1';

aviobj = avifile(aviFileName,'fps',framesPerSec, 'compression', 'none');  % initialize .avi file object.

for i=1:40 
    switch(rem(i, 7))
    case 0
        plot(x, y, 'r');
    case 1
        plot(x, y, 'g');
    case 2
        plot(x, y, 'b');
    case 3
        plot(x, y, 'c');
    case 4
        plot(x, y, 'm');
    case 5
        plot(x, y, 'y');
    otherwise
        plot(x, y, 'k');
    end
        
    axis([-8 10 -5 12]);
    frame(i) = getframe;
    aviobj = addframe(aviobj,frame(i));
    x = x * 0.9;
    y = y * 0.9;
    newx = x * rotaCos - y * rotaSin;
    newy= x * rotaSin + y * rotaCos;
    x = newx;
    y = newy;
end


for i=41:81    
    switch(rem(i, 7))
    case 0
        plot(x, y, 'r');
    case 1
        plot(x, y, 'g');
    case 2
        plot(x, y, 'b');
    case 3
        plot(x, y, 'c');
    case 4
        plot(x, y, 'm');
    case 5
        plot(x, y, 'y');
    otherwise
        plot(x, y, 'k');
    end
    axis([-8 10 -5 12]);
    grid off
    frame(i) = getframe;
    aviobj = addframe(aviobj,frame(i));
    x = x / 0.9;
    y = y / 0.9;
    newx = x * rotaCos - y * rotaSin;
    newy= x * rotaSin + y * rotaCos;
    x = newx;
    y = newy;
end

axis([-8 10 -5 12]);
grid off
movie(frame, 1, 6);
aviobj = close(aviobj);
    
